Bug 138138 - Cell move is not correctly passed on to the anchor of cell-anchored shape
Summary: Cell move is not correctly passed on to the anchor of cell-anchored shape
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-11 15:05 UTC by Regina Henschel
Modified: 2021-09-06 12:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File to reproduce the error (8.69 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-11 15:05 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-11-11 15:05:59 UTC
Created attachment 167205 [details]
File to reproduce the error

Open attached document. It contains a cell-anchored rectangle, which is rotated 90deg. It goes from D2 to D6. The sheet contains some text to indicate the position of the shape.
Mark columns A and B, then use "insert columns after". The shape moves correctly to F2 to F6.
Save and reload the document.
Error: The shape is wrong.

Versions 7.0 and master (with my 'improve resize to cell' patch) show different shapes, but both are wrong.
Comment 1 Regina Henschel 2020-11-11 20:22:53 UTC
Affected shape types are legacy shapes, text boxes, images and transformable OLEs.
Comment 2 Commit Notification 2020-11-12 12:42:41 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3238606c8470f3eaeada3fc601e186ec5cfac925

tdf138138 Apply shape shift also to NoRotatedAnchor

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco FaulĂ­ 2020-11-30 12:37:56 UTC
Hi Regina,
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks
Comment 4 Regina Henschel 2020-11-30 15:05:56 UTC
It did not work for measure lines. I have submitted https://cgit.freedesktop.org/libreoffice/core/commit/?id=bba0cd79984875124f8d43d05d4cdb7f63517e77 in the meantime. Now it should work for measure lines too.